/**
 * output package name
 */
package com.kingdee.eas.xr.xrbase.client;

import java.awt.event.ActionEvent;

import org.apache.log4j.Logger;

import com.kingdee.bos.ui.face.CoreUIObject;
import com.kingdee.eas.util.SysUtil;
import com.kingdee.eas.util.client.MsgBox;
import com.kingdee.eas.xr.xrbase.JkyHelper;

/**
 * output class name
 */
public class XRBizDataBaseEditUI extends AbstractXRBizDataBaseEditUI
{
    private static final Logger logger = CoreUIObject.getLogger(XRBizDataBaseEditUI.class);
    
    /**
     * output class constructor
     */
    public XRBizDataBaseEditUI() throws Exception
    {
        super();
    }

    public void onLoad() throws Exception {
    	super.onLoad();
    	this.txtNumber.setRequired(true);
    	this.txtName.setRequired(true);
    }
    /**
     * output storeFields method
     */
    public void storeFields()
    {
        super.storeFields();
    }

    public void actionEdit_actionPerformed(ActionEvent e) throws Exception {
    	super.actionEdit_actionPerformed(e);
    }
    public void actionRemove_actionPerformed(ActionEvent e) throws Exception {
    	super.actionRemove_actionPerformed(e);
    }
    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
    	return com.kingdee.eas.xr.xrbase.XRBizDataBaseFactory.getRemoteInstance();
    }
	/**防止提交之后出现空白单据**/
	protected void afterSubmitAddNew(){
		
	         }
	protected boolean isContinueAddNew() {
		return false;
	}
    /**
     * output createNewData method
     */
    protected com.kingdee.bos.dao.IObjectValue createNewData()
    {
    	com.kingdee.eas.xr.xrbase.XRBizDataBaseInfo objectValue =new com.kingdee.eas.xr.xrbase.XRBizDataBaseInfo();
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));
		
        return objectValue;
    }

}